// -*- Java -*-
/*!
 * @file MiniSV06LA.java
 * @date $Date$
 *
 * @author East Japan Accounting Center Co, Ltd
 *
 * BSD 3-clause "New" or "Revised" License
 *
 * $Id$
 */

import jp.go.aist.rtm.RTC.Manager;
import jp.go.aist.rtm.RTC.RTObject_impl;
import jp.go.aist.rtm.RTC.RtcDeleteFunc;
import jp.go.aist.rtm.RTC.RtcNewFunc;
import jp.go.aist.rtm.RTC.RegisterModuleFunc;
import jp.go.aist.rtm.RTC.util.Properties;

/*!
 * @class MiniSV06LA
 * @brief MiniSurveyor_06LA flight instruction. Get and output the sensor info.
 */
public class MiniSV06LA implements RtcNewFunc, RtcDeleteFunc, RegisterModuleFunc {

//  Module specification
//  <rtc-template block="module_spec">
    public static String component_conf[] = {
    	    "implementation_id", "MiniSV06LA",
    	    "type_name",         "MiniSV06LA",
    	    "description",       "MiniSurveyor_06LA flight instruction. Get and output the sensor info.",
    	    "version",           "0.5",
    	    "vendor",            "EAC",
    	    "category",          "Drone",
    	    "activity_type",     "STATIC",
    	    "max_instance",      "1",
    	    "language",          "Java",
    	    "lang_type",         "compile",
            // Configuration variables
            "conf.default.ConnectPort", "COM3",

            // Widget
            "conf.__widget__.ConnectPort", "text",
            // Constraints

            "conf.__type__.ConnectPort", "string",

    	    ""
            };
//  </rtc-template>

    public RTObject_impl createRtc(Manager mgr) {
        return new MiniSV06LAImpl(mgr);
    }

    public void deleteRtc(RTObject_impl rtcBase) {
        rtcBase = null;
    }
    public void registerModule() {
        Properties prop = new Properties(component_conf);
        final Manager manager = Manager.instance();
        manager.registerFactory(prop, new MiniSV06LA(), new MiniSV06LA());
    }
}
